Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 2325)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 2326)
@@ -11,6 +11,7 @@
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
+import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.specificities.core.messages.SpecificitiesCoreMessages;
 import org.txm.specificities.core.preferences.SpecificitiesPreferences;
 import org.txm.statsengine.core.StatException;
@@ -62,23 +63,34 @@
 	
 	
 	/**
-	 * Creates an empty SpecificitiesSelection.
+	 * Creates an not computed specificities selection chart.
 	 * @param parent
 	 */
 	public SpecificitiesSelection(Specificities parent) {
-		super(parent);
+		this(null, parent);
 	}
 
 	/**
-	 * 
+	 * Creates an not computed specificities selection chart.
 	 * @param parametersNodePath
 	 */
 	public SpecificitiesSelection(String parametersNodePath)	{
-		super(parametersNodePath);
+		this(parametersNodePath, null);
 	}
 
 	
 	/**
+	 * Creates an not computed specificities selection chart.
+	 * @param parametersNodePath
+	 * @param parent
+	 */
+	public SpecificitiesSelection(String parametersNodePath, Specificities parent) {
+		super(parametersNodePath, parent);
+		
+		this.domainGridLinesVisible = false;
+	}
+	
+	/**
 	 * @return true if selection is found in the specificities table
 	 */
 	@Override
@@ -96,7 +108,7 @@
 			selectedSpecificitiesIndex[i] = zeros;
 		}
 		
-		//find words in the specif table
+		// find words in the specif table
 		int n = 0;
 		for (int i = 0; i < rowNames.length; i++) {
 			double[] line = tableLines[i];
@@ -117,7 +129,7 @@
 
 	@Override
 	public void clean() {
-		//does nothing
+		// nothing to do
 	}
 
 	/**
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 2325)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 2326)
@@ -7,15 +7,13 @@
 import org.jfree.chart.axis.NumberAxis;
 import org.jfree.chart.plot.Marker;
 import org.jfree.chart.plot.ValueMarker;
-import org.jfree.data.general.DatasetUtilities;
+import org.jfree.chart.ui.RectangleAnchor;
+import org.jfree.chart.ui.TextAnchor;
+import org.jfree.data.general.DatasetUtils;
 import org.jfree.data.xy.XYSeries;
 import org.jfree.data.xy.XYSeriesCollection;
-import org.jfree.ui.RectangleAnchor;
-import org.jfree.ui.TextAnchor;
-import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
 import org.txm.chartsengine.jfreechart.core.themes.base.SymbolAxisBetweenTicks;
 import org.txm.specificities.core.functions.SpecificitiesSelection;
@@ -136,8 +134,8 @@
 	
 	        
 	        // Custom range axis for ticks drawing options
-	        double minimumValue = DatasetUtilities.findMinimumRangeValue(chart.getXYPlot().getDataset()).doubleValue();
-	        double maximumValue = DatasetUtilities.findMaximumRangeValue(chart.getXYPlot().getDataset()).doubleValue();
+	        double minimumValue = DatasetUtils.findMinimumRangeValue(chart.getXYPlot().getDataset()).doubleValue();
+	        double maximumValue = DatasetUtils.findMaximumRangeValue(chart.getXYPlot().getDataset()).doubleValue();
 	        // Adjust ticks values according to data set contains only positives values or only negatives values
 	        if(minimumValue > 0)	{
 	        	minimumValue = 0;
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 2325)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 2326)
@@ -9,17 +9,16 @@
 import org.jfree.chart.axis.NumberAxis;
 import org.jfree.chart.plot.Marker;
 import org.jfree.chart.plot.ValueMarker;
+import org.jfree.chart.ui.RectangleAnchor;
+import org.jfree.chart.ui.TextAnchor;
 import org.jfree.data.xy.XYDataset;
 import org.jfree.data.xy.XYSeries;
 import org.jfree.data.xy.XYSeriesCollection;
-import org.jfree.ui.RectangleAnchor;
-import org.jfree.ui.TextAnchor;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
 import org.txm.progression.core.chartsengine.base.Utils;
 import org.txm.progression.core.chartsengine.jfreechart.themes.highcharts.renderers.ProgressionItemSelectionRenderer;
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 2325)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 2326)
@@ -50,10 +50,10 @@
 	protected List<List<Double>> additionalShapesScale; 
 
 	/**
-	 * Creates a renderer dedicated to CA charts.
+	 * Creates a renderer dedicated to Progression charts.
 	 */
 	public ProgressionItemSelectionRenderer() {
-		super();
+		super(true, true);
 		// FIXME: simple selection mode
 		//((MultipleItemsSelector) this.multipleItemsSelector).setSimpleSelectionMode(true);
 	}
@@ -64,7 +64,7 @@
 	 * Initializes the tool tip generator.
 	 */
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new XYToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new XYToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(XYDataset dataset, int series, int item) {
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2325)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2326)
@@ -51,6 +51,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
+import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
@@ -150,22 +151,34 @@
 
 
 	/**
-	 * 
+	 * Creates a not computed progression
 	 * @param parent
 	 */
 	public Progression(CQPCorpus parent)	{
-		super(parent);
+		this(null, parent);
 	}
 
 	/**
-	 * 
+	 * Creates a not computed progression
 	 * @param parametersNodePath
 	 */
 	public Progression(String parametersNodePath)	{
-		super(parametersNodePath);
+		super(parametersNodePath, null);
 	}
 
+	/**
+	 * Creates a not computed progression.
+	 * @param parametersNodePath
+	 * @param parent
+	 */
+	public Progression(String parametersNodePath, CQPCorpus parent) {
+		super(parametersNodePath, parent);
+		
+		this.domainGridLinesVisible = false;
+	}
 
+	
+
 	@Override
 	public boolean loadParameters() {
 		if(!this.getStringParameterValue(TXMPreferences.QUERIES).isEmpty())	{
@@ -278,7 +291,7 @@
 	 * @param repeatValues
 	 * @param bandeMultiplier
 	 */
-	// FIXME : all parameters related to rendering should be removed from this class and centralized in the charts engine system
+	// FIXME : SJ: all parameters related to rendering should be removed from this class and centralized in the charts engine system, eg. line width
 	public void setParameters(List<CQLQuery> queries, 
 			StructuralUnit structuralUnit, StructuralUnitProperty property, String propertyregex, 
 			boolean doCumulative, int lineWidth, boolean repeatValues, float bandeMultiplier)	{
@@ -793,11 +806,11 @@
 	@Override
 	public String getName() {
 		try {
-			return this.parent.getSimpleName() + ": " + this.getSimpleName();
+			return this.parent.getSimpleName() + ": " + this.getSimpleName(); //$NON-NLS-1$
 		}
 		catch(Exception e) {
 		}
-		return "";
+		return ""; //$NON-NLS-1$
 	}
 
 	@Override
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/JFCDefaultChartMouseListener.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/JFCDefaultChartMouseListener.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/JFCDefaultChartMouseListener.java	(revision 2326)
@@ -221,8 +221,8 @@
 //		System.err.println("DefaultChartMouseListener.chartMouseClicked(): ");
 //    	System.out.println("DefaultChartMouseListener.chartMouseClicked(): call backs count: " + eventCallBacks.size());
 //        System.err.println("DefaultChartMouseListener.chartMouseClicked(): click count: " + event.getTrigger().getClickCount());
-		Log.finest("DefaultChartMouseListener.chartMouseClicked(): entity type: " + entity);
-		Log.finest("DefaultChartMouseListener.chartMouseClicked(): eventArea: " + eventArea);
+		Log.finest("JFCDefaultChartMouseListener.chartMouseClicked(): entity type: " + entity);
+		Log.finest("JFCDefaultChartMouseListener.chartMouseClicked(): eventArea: " + eventArea);
 
 		
 		// Set the composite current menu
@@ -236,7 +236,7 @@
 				if(!t.isEmpty() && chartComponent.getChartEditor().getComposite().getMenu() != null && chartComponent.getChartEditor().getComposite().getMenu().getItemCount() > 0)	{
 
 					// FIXME: Debug
-					Log.finest("DefaultChartMouseListener.chartMouseClicked(...).new Runnable() {...}.run(): menu = " + chartComponent.getChartEditor().getComposite().getMenu());
+					Log.finest("JFCDefaultChartMouseListener.chartMouseClicked(...).new Runnable() {...}.run(): menu = " + chartComponent.getChartEditor().getComposite().getMenu());
 					
 					chartComponent.getChartEditor().getComposite().getMenu().getItem(0).setText(t);
 				}
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 2325)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 2326)
@@ -39,6 +39,7 @@
 	public Eigenvalues(String parametersNodePath, TXMResult parent) {
 		super(parametersNodePath, parent);
 		this.setVisible(false);
+		this.domainGridLinesVisible = false;
 	}
 
 	/**
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCEigenvaluesChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCEigenvaluesChartCreator.java	(revision 2325)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCEigenvaluesChartCreator.java	(revision 2326)
@@ -4,8 +4,7 @@
 import org.jfree.chart.JFreeChart;
 import org.jfree.chart.axis.NumberAxis;
 import org.jfree.data.category.DefaultCategoryDataset;
-import org.jfree.data.general.DatasetUtilities;
-import org.jfree.data.xy.XYSeriesCollection;
+import org.jfree.data.general.DatasetUtils;
 import org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers.CAEigenvaluesItemSelectionRenderer;
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.core.functions.Eigenvalues;
@@ -72,9 +71,13 @@
 		}
 
         // Custom range axis for ticks drawing options
-        chart.getCategoryPlot().setRangeAxis(new ExtendedNumberAxis((NumberAxis) chart.getCategoryPlot().getRangeAxis(), false, true, 0, DatasetUtilities.findMaximumRangeValue(chart.getCategoryPlot().getDataset()).doubleValue()));
+        chart.getCategoryPlot().setRangeAxis(new ExtendedNumberAxis((NumberAxis) chart.getCategoryPlot().getRangeAxis(), false, true, 0, DatasetUtils.findMaximumRangeValue(chart.getCategoryPlot().getDataset()).doubleValue()));
 		
 		super.updateChart(result);
+		
+		// force the hide of the domain axis lines 
+		chart.getCategoryPlot().setDomainGridlinesVisible(false);
+
 	}
 	
 	
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 2325)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 2326)
@@ -14,7 +14,7 @@
 import org.jfree.chart.labels.ItemLabelPosition;
 import org.jfree.chart.plot.PlotOrientation;
 import org.jfree.chart.plot.XYPlot;
-import org.jfree.ui.TextAnchor;
+import org.jfree.chart.ui.TextAnchor;
 import org.txm.ca.core.chartsengine.base.CAChartCreator;
 import org.txm.ca.core.chartsengine.base.Utils;
 import org.txm.ca.core.chartsengine.jfreechart.datasets.CAXYDataset;
@@ -85,8 +85,10 @@
 		
 		renderer.setSeriesVisible(0, ca.isShowVariables());
 		renderer.setSeriesVisible(1, ca.isShowIndividuals());
-		chart.setTitle(Utils.createCAFactorialMapChartTitle(ca)); 
 		
+		// Create chart title
+		chart.setTitle(Utils.createCAFactorialMapChartTitle(ca));
+		
 		// Create the limits border
 		this.createCAFactorialMapChartLimitsBorder(chart);
 
@@ -96,13 +98,13 @@
         // Draw the point shapes and the item labels
         if(ca.isShowPointShapes())	{
             
-        	renderer.setSeriesItemLabelPaint(0, renderer.getBaseItemLabelPaint());
-            renderer.setSeriesItemLabelPaint(1, renderer.getBaseItemLabelPaint());
+        	renderer.setSeriesItemLabelPaint(0, renderer.getDefaultItemLabelPaint());
+            renderer.setSeriesItemLabelPaint(1, renderer.getDefaultItemLabelPaint());
             
         	// Labels position
         	ItemLabelPosition position = new ItemLabelPosition(ItemLabelAnchor.OUTSIDE12, TextAnchor.BOTTOM_CENTER, TextAnchor.BOTTOM_CENTER, 0.0);
-        	renderer.setBasePositiveItemLabelPosition(position);
-        	renderer.setBaseNegativeItemLabelPosition(position);
+        	renderer.setDefaultPositiveItemLabelPosition(position);
+        	renderer.setDefaultNegativeItemLabelPosition(position);
 
         	renderer.setItemLabelAnchorOffset(1);
             
@@ -120,8 +122,8 @@
             
         	// Labels position
         	ItemLabelPosition position = new ItemLabelPosition(ItemLabelAnchor.CENTER, TextAnchor.CENTER, TextAnchor.CENTER, 0.0);
-        	renderer.setBasePositiveItemLabelPosition(position);
-        	renderer.setBaseNegativeItemLabelPosition(position);
+        	renderer.setDefaultPositiveItemLabelPosition(position);
+        	renderer.setDefaultNegativeItemLabelPosition(position);
             
             renderer.setItemLabelAnchorOffset(0);
         }
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAEigenvaluesItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAEigenvaluesItemSelectionRenderer.java	(revision 2325)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAEigenvaluesItemSelectionRenderer.java	(revision 2326)
@@ -43,7 +43,7 @@
 
 	@Override
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new CategoryToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(CategoryDataset dataset, int row, int column) {
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 2325)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 2326)
@@ -47,8 +47,8 @@
 
 	@Override
 	public void init()	{
-    	this.setBaseLinesVisible(false);
-    	this.setBaseOutlinePaint(Color.decode("#666666"));
+    	this.setDefaultLinesVisible(false);
+    	this.setDefaultOutlinePaint(Color.decode("#666666"));
 
 		
       	// Items colors (Highcharts color codes)
@@ -154,8 +154,8 @@
 			}
 		};
 
-		this.setBaseItemLabelGenerator(generator);
-		this.setBaseItemLabelsVisible(true);
+		this.setDefaultItemLabelGenerator(generator);
+		this.setDefaultItemLabelsVisible(true);
 	}
 
 	@Override
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 2325)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 2326)
@@ -12,6 +12,7 @@
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
+import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.partition.core.messages.PartitionCoreMessages;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -61,7 +62,7 @@
 	 * @param partition
 	 */
 	public PartitionDimensions(Partition partition) {
-		super(partition);
+		this(null, partition);
 	}
 
 	/**
@@ -69,9 +70,20 @@
 	 * @param parametersNodePath
 	 */
 	public PartitionDimensions(String parametersNodePath) {
-		super(parametersNodePath);
+		super(parametersNodePath, null);
 	}
 	
+	/**
+	 * Creates a not computed partition dimensions.
+	 * @param parametersNodePath
+	 * @param partition
+	 */
+	public PartitionDimensions(String parametersNodePath, Partition partition) {
+		super(parametersNodePath, partition);
+		
+		this.domainGridLinesVisible = false;
+	}
+	
 
 	@Override
 	public boolean loadParameters() {
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsPieChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsPieChartCreator.java	(revision 2325)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsPieChartCreator.java	(revision 2326)
@@ -6,8 +6,8 @@
 import org.jfree.chart.plot.PiePlot;
 import org.jfree.chart.title.TextTitle;
 import org.jfree.chart.title.Title;
+import org.jfree.chart.util.SortOrder;
 import org.jfree.data.general.DefaultPieDataset;
-import org.jfree.util.SortOrder;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
@@ -87,9 +87,6 @@
 		// Create chart title
 		chart.setTitle(Utils.createPartitionDimensionsChartTitle(partitionDimensions));
 
-		super.updateChart(result);
-		
-		
 		// Subtitle
 		if(chart.getSubtitleCount() > 0)	{
 			chart.removeSubtitle(chart.getSubtitle(0));	
@@ -100,6 +97,8 @@
                 Title.DEFAULT_VERTICAL_ALIGNMENT, Title.DEFAULT_PADDING));
 
 		
+		super.updateChart(result);
+		
 	}
 	
 	@Override
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 2325)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 2326)
@@ -7,7 +7,7 @@
 import org.jfree.chart.axis.NumberAxis;
 import org.jfree.chart.title.TextTitle;
 import org.jfree.chart.title.Title;
-import org.jfree.data.general.DatasetUtilities;
+import org.jfree.data.general.DatasetUtils;
 import org.jfree.data.xy.XYSeries;
 import org.jfree.data.xy.XYSeriesCollection;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
@@ -41,7 +41,7 @@
 		// Create the chart
         chart = this.getChartsEngine().createXYBarChart(dataset, null, PartitionCoreMessages.part, PartitionCoreMessages.numberOfWords, false, true);
         // Custom range axis for ticks drawing options
-        chart.getXYPlot().setRangeAxis(new ExtendedNumberAxis((NumberAxis) chart.getXYPlot().getRangeAxis(), false, true, 0, DatasetUtilities.findMaximumRangeValue(chart.getXYPlot().getDataset()).doubleValue()));
+        chart.getXYPlot().setRangeAxis(new ExtendedNumberAxis((NumberAxis) chart.getXYPlot().getRangeAxis(), false, true, 0, DatasetUtils.findMaximumRangeValue(chart.getXYPlot().getDataset()).doubleValue()));
 
 		return chart;
 		
@@ -96,11 +96,6 @@
 		// Create chart title
 		chart.setTitle(Utils.createPartitionDimensionsChartTitle(partitionDimensions));
 		
-		
-		
-		super.updateChart(result);
-
-		
 		// Subtitle
 		if(chart.getSubtitleCount() > 0)	{
 			chart.removeSubtitle(chart.getSubtitle(0));	
@@ -109,7 +104,12 @@
 				((Color)this.getChartsEngine().getJFCTheme().getAxisLabelPaint()), Title.DEFAULT_POSITION,
                 Title.DEFAULT_HORIZONTAL_ALIGNMENT,
                 Title.DEFAULT_VERTICAL_ALIGNMENT, Title.DEFAULT_PADDING));
+		
+		
+		super.updateChart(result);
 
+		
+
 	}
 	
 
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java	(revision 2325)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java	(revision 2326)
@@ -24,6 +24,7 @@
 					"platform:/plugin/"+ FrameworkUtil.getBundle(PartitionDimensionsAdapterFactory.class).getSymbolicName() + "/icons/dimensions.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
 
+	@SuppressWarnings({ "rawtypes", "unchecked" })
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
 		if(this.canAdapt(adapterType) && adaptableObject instanceof PartitionDimensions)	{
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/chartsengine/jfreechart/JFCTextsBalanceSpiderChartCreator.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/chartsengine/jfreechart/JFCTextsBalanceSpiderChartCreator.java	(revision 2325)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/chartsengine/jfreechart/JFCTextsBalanceSpiderChartCreator.java	(revision 2326)
@@ -9,7 +9,6 @@
 import org.jfree.chart.plot.SpiderWebPlot;
 import org.jfree.data.category.CategoryDataset;
 import org.jfree.data.category.DefaultCategoryDataset;
-import org.jfree.util.Log;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.textsbalance.core.functions.TextsBalance;
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/chartsengine/jfreechart/MultipleSpiderWebPlot.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/chartsengine/jfreechart/MultipleSpiderWebPlot.java	(revision 2325)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/chartsengine/jfreechart/MultipleSpiderWebPlot.java	(revision 2326)
@@ -86,20 +86,18 @@
 import org.jfree.chart.plot.PlotState;
 import org.jfree.chart.plot.SpiderWebPlot;
 import org.jfree.chart.title.TextTitle;
-import org.jfree.chart.util.ParamChecks;
+import org.jfree.chart.ui.RectangleEdge;
+import org.jfree.chart.ui.RectangleInsets;
+import org.jfree.chart.util.Args;
+import org.jfree.chart.util.ObjectUtils;
+import org.jfree.chart.util.PaintUtils;
+import org.jfree.chart.util.SerialUtils;
+import org.jfree.chart.util.ShapeUtils;
+import org.jfree.chart.util.TableOrder;
 import org.jfree.data.category.CategoryDataset;
-import org.jfree.data.category.CategoryToPieDataset;
 import org.jfree.data.category.DefaultCategoryDataset;
 import org.jfree.data.general.DatasetChangeEvent;
-import org.jfree.data.general.DatasetUtilities;
-import org.jfree.data.general.PieDataset;
-import org.jfree.io.SerialUtilities;
-import org.jfree.ui.RectangleEdge;
-import org.jfree.ui.RectangleInsets;
-import org.jfree.util.ObjectUtilities;
-import org.jfree.util.PaintUtilities;
-import org.jfree.util.ShapeUtilities;
-import org.jfree.util.TableOrder;
+import org.jfree.data.general.DatasetUtils;
 
 /**
  * A plot that displays multiple pie plots using data from a
@@ -232,7 +230,7 @@
      * @see #getPieChart()
      */
     public void setPieChart(JFreeChart pieChart) {
-        ParamChecks.nullNotPermitted(pieChart, "pieChart");
+        Args.nullNotPermitted(pieChart, "pieChart");
         if (!(pieChart.getPlot() instanceof SpiderWebPlot)) {
             throw new IllegalArgumentException("The 'pieChart' argument must "
                     + "be a chart based on a SpiderWebPlot.");
@@ -257,7 +255,7 @@
      * @param order  the order (<code>null</code> not permitted).
      */
     public void setDataExtractOrder(TableOrder order) {
-        ParamChecks.nullNotPermitted(order, "order");
+        Args.nullNotPermitted(order, "order");
         this.dataExtractOrder = order;
         fireChangeEvent();
     }
@@ -304,7 +302,7 @@
      * @since 1.0.2
      */
     public void setAggregatedItemsKey(Comparable key) {
-        ParamChecks.nullNotPermitted(key, "key");
+        Args.nullNotPermitted(key, "key");
         this.aggregatedItemsKey = key;
         fireChangeEvent();
     }
@@ -330,7 +328,7 @@
      * @since 1.0.2
      */
     public void setAggregatedItemsPaint(Paint paint) {
-        ParamChecks.nullNotPermitted(paint, "paint");
+        Args.nullNotPermitted(paint, "paint");
         this.aggregatedItemsPaint = paint;
         fireChangeEvent();
     }
@@ -370,7 +368,7 @@
      * @since 1.0.12
      */
     public void setLegendItemShape(Shape shape) {
-        ParamChecks.nullNotPermitted(shape, "shape");
+        Args.nullNotPermitted(shape, "shape");
         this.legendItemShape = shape;
         fireChangeEvent();
     }
@@ -396,7 +394,7 @@
         drawOutline(g2, area);
 
         // check that there is some data to display...
-        if (DatasetUtilities.isEmptyOrNull(this.dataset)) {
+        if (DatasetUtils.isEmptyOrNull(this.dataset)) {
             drawNoDataMessage(g2, area);
             return;
         }
@@ -602,14 +600,14 @@
         if (!this.aggregatedItemsKey.equals(that.aggregatedItemsKey)) {
             return false;
         }
-        if (!PaintUtilities.equal(this.aggregatedItemsPaint,
+        if (!PaintUtils.equal(this.aggregatedItemsPaint,
                 that.aggregatedItemsPaint)) {
             return false;
         }
-        if (!ObjectUtilities.equal(this.spiderChart, that.spiderChart)) {
+        if (!ObjectUtils.equal(this.spiderChart, that.spiderChart)) {
             return false;
         }
-        if (!ShapeUtilities.equal(this.legendItemShape, that.legendItemShape)) {
+        if (!ShapeUtils.equal(this.legendItemShape, that.legendItemShape)) {
             return false;
         }
         if (!super.equals(obj)) {
@@ -631,7 +629,7 @@
         MultipleSpiderWebPlot clone = (MultipleSpiderWebPlot) super.clone();
         clone.spiderChart = (JFreeChart) this.spiderChart.clone();
         clone.sectionPaints = new HashMap(this.sectionPaints);
-        clone.legendItemShape = ShapeUtilities.clone(this.legendItemShape);
+        clone.legendItemShape = ShapeUtils.clone(this.legendItemShape);
         return clone;
     }
 
@@ -644,8 +642,8 @@
      */
     private void writeObject(ObjectOutputStream stream) throws IOException {
         stream.defaultWriteObject();
-        SerialUtilities.writePaint(this.aggregatedItemsPaint, stream);
-        SerialUtilities.writeShape(this.legendItemShape, stream);
+        SerialUtils.writePaint(this.aggregatedItemsPaint, stream);
+        SerialUtils.writeShape(this.legendItemShape, stream);
     }
 
     /**
@@ -659,8 +657,8 @@
     private void readObject(ObjectInputStream stream)
         throws IOException, ClassNotFoundException {
         stream.defaultReadObject();
-        this.aggregatedItemsPaint = SerialUtilities.readPaint(stream);
-        this.legendItemShape = SerialUtilities.readShape(stream);
+        this.aggregatedItemsPaint = SerialUtils.readPaint(stream);
+        this.legendItemShape = SerialUtils.readShape(stream);
         this.sectionPaints = new HashMap();
     }
 
Index: tmp/org.txm.chartsengine.jfreechart.feature/feature.xml
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.feature/feature.xml	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.feature/feature.xml	(revision 2326)
@@ -37,12 +37,13 @@
    </license>
 
    <requires>
-      <import plugin="org.txm.libs.jfreechart" version="1.0.17" match="greaterOrEqual"/>
+      <import plugin="org.txm.chartsengine.core" version="1.0.0" match="greaterOrEqual"/>
+      <import plugin="org.txm.libs.jfreechart" version="1.5.0" match="greaterOrEqual"/>
       <import plugin="org.txm.libs.itext"/>
       <import plugin="org.txm.libs.jfreesvg" version="1.7.0" match="greaterOrEqual"/>
-      <import plugin="org.txm.chartsengine.core" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.chartsengine.rcp" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.chartsengine.jfreechart.core" version="1.0.0" match="greaterOrEqual"/>
+      <import plugin="org.txm.rcp" version="0.8.0" match="greaterOrEqual"/>
    </requires>
 
    <plugin
@@ -59,4 +60,22 @@
          version="0.0.0"
          unpack="false"/>
 
+   <plugin
+         id="org.txm.chartsengine.raster.rcp"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"/>
+
+   <plugin
+         id="org.txm.chartsengine.rcp"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"/>
+
+   <plugin
+         id="org.txm.chartsengine.svgbatik.rcp"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"/>
+
 </feature>
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 2325)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 2326)
@@ -49,8 +49,13 @@
 	 */
 	protected boolean needsToSquareOff;
 
+	
+	/**
+	 * To show/hide domain grid lines.
+	 */
+	protected boolean domainGridLinesVisible;
+	
 
-
 	/**
 	 * The chart type;
 	 */
@@ -128,6 +133,7 @@
 		this.needsToResetView = false;
 		this.needsToClearItemsSelection = false;
 		this.needsToSquareOff = false;
+		this.domainGridLinesVisible = true;
 	}
 
 
@@ -449,7 +455,8 @@
 	}
 
 	/**
-	 * @return the needsToSquareOff
+	 * Gets the square off constraint state.
+	 * @return the square off constraint state
 	 */
 	public boolean needsToSquareOff() {
 		return needsToSquareOff;
@@ -457,7 +464,8 @@
 
 
 	/**
-	 * @param needsToSquareOff the needsToSquareOff to set
+	 * Sets the square off constraint state.
+	 * @param needsToSquareOff the square off constraint state to set
 	 */
 	public void setNeedsToSquareOff(boolean needsToSquareOff) {
 		this.needsToSquareOff = needsToSquareOff;
@@ -465,6 +473,7 @@
 
 	
 	/**
+	 * Gets the title visibility state.
 	 * @return the titleVisible
 	 */
 	public boolean isTitleVisible() {
@@ -472,6 +481,7 @@
 	}
 
 	/**
+	 * Sets the title visibility state.
 	 * @param titleVisible the titleVisible to set
 	 */
 	public void setTitleVisible(boolean titleVisible) {
@@ -479,6 +489,7 @@
 	}
 
 	/**
+	 * Gets the legend visibility state.
 	 * @return the legendVisible
 	 */
 	public boolean isLegendVisible() {
@@ -486,6 +497,7 @@
 	}
 
 	/**
+	 * Sets the legend visibility state.
 	 * @param legendVisible the legendVisible to set
 	 */
 	public void setLegendVisible(boolean legendVisible) {
@@ -493,6 +505,7 @@
 	}
 
 	/**
+	 * Gets the grid visibility state.
 	 * @return the gridVisible
 	 */
 	public boolean isGridVisible() {
@@ -500,6 +513,16 @@
 	}
 
 	/**
+	 * Gets the domain grid lines visibility state.
+	 * @return the domainGridLinesVisible
+	 */
+	public boolean isDomainGridLinesVisible() {
+		return domainGridLinesVisible;
+	}
+
+	
+	/**
+	 * Sets the visiiblity visibility state.
 	 * @param gridVisible the gridVisible to set
 	 */
 	public void setGridVisible(boolean gridVisible) {
@@ -508,6 +531,7 @@
 
 
 	/**
+	 * Gets the rendering color mode as integer.
 	 * @return the renderingColorsMode
 	 */
 	public int getRenderingColorsMode() {
@@ -516,6 +540,7 @@
 
 
 	/**
+	 * Gets the rendering color mode.
 	 * @param renderingColorsMode the renderingColorsMode to set
 	 */
 	public void setRenderingColorsMode(int renderingColorsMode) {
@@ -524,6 +549,7 @@
 
 
 	/**
+	 * Gets the font.
 	 * @return the font
 	 */
 	public String getFont() {
@@ -532,6 +558,7 @@
 
 
 	/**
+	 * Sets the font.
 	 * @param font the font to set
 	 */
 	public void setFont(String font) {
@@ -541,7 +568,8 @@
 
 
 	/**
-	 * @return the monoStyle
+	 * Gets the multiple line strokes state.
+	 * @return the multipleLineStrokes
 	 */
 	public boolean isMultipleLineStrokes() {
 		return multipleLineStrokes;
@@ -550,7 +578,8 @@
 
 
 	/**
-	 * @param multipleStrokes the monoStyle to set
+	 * Sets the multiple line strokes state.
+	 * @param multipleStrokes the multiple line strokes state to set
 	 */
 	public void setMultipleLineStrokes(boolean multipleStrokes) {
 		this.multipleLineStrokes = multipleStrokes;
@@ -576,10 +605,13 @@
 
 
 	/**
+	 * Sets the chart object.
 	 * @param chart the chart to set
 	 */
 	public void setChart(Object chart) {
 		this.chart = chart;
 	}
 
+
+
 }
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 2325)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 2326)
@@ -5,6 +5,7 @@
 
 import java.awt.Color;
 import java.util.ArrayList;
+import java.util.Collections;
 
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 
@@ -193,17 +194,24 @@
 	 */
 	public ArrayList<Color> getGrayScalePaletteFor(int itemsCount)	{
 		ArrayList<Color> palette = new ArrayList<Color>(itemsCount);
-    	
-		for(int i = 0; i < itemsCount; i++) {
-			int c;
-    		if(i == 0)	{
-    			c = 1;
-    		}
-    		else	{
-    			c = (int)((double)255 / itemsCount * i);
-    		}
-    		palette.add(new Color(c, c, c));
+
+		// special case of 1 items count palette, better to use gray rather than black
+		if(itemsCount == 1)	{
+			palette.add(new Color(128, 128, 128));
 		}
+		else	{
+			for(int i = 0; i < itemsCount; i++) {
+				int c;
+	    		if(i == 0)	{
+	    			c = 1;
+	    		}
+	    		else	{
+	    			c = (int)((double)255 / itemsCount * i);
+	    		}
+	    		palette.add(new Color(c, c, c));
+			}
+		}
+		
     	return palette;
 	}
 	
Index: tmp/org.txm.chartsengine.r.feature/feature.xml
===================================================================
--- tmp/org.txm.chartsengine.r.feature/feature.xml	(revision 2325)
+++ tmp/org.txm.chartsengine.r.feature/feature.xml	(revision 2326)
@@ -57,4 +57,22 @@
          version="0.0.0"
          unpack="false"/>
 
+   <plugin
+         id="org.txm.chartsengine.raster.rcp"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"/>
+
+   <plugin
+         id="org.txm.chartsengine.rcp"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"/>
+
+   <plugin
+         id="org.txm.chartsengine.svgbatik.rcp"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"/>
+
 </feature>
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartCreator.java	(revision 2326)
@@ -5,6 +5,7 @@
 import java.util.ArrayList;
 
 import org.jfree.chart.JFreeChart;
+import org.jfree.chart.axis.SymbolAxis;
 import org.jfree.chart.plot.CategoryPlot;
 import org.jfree.chart.plot.XYPlot;
 import org.txm.chartsengine.core.ChartCreator;
@@ -27,7 +28,6 @@
 public abstract class JFCChartCreator extends ChartCreator {
 
 	
-	
 	@Override
 	public void updateChart(ChartResult result) {
 		this.updateChart(result, true);
@@ -78,7 +78,7 @@
 			if(chart.getPlot() instanceof CategoryPlot)	{
 				CategoryPlot plot = (CategoryPlot) chart.getPlot();
 				// grid visibility
-				plot.setDomainGridlinesVisible(result.isGridVisible());
+				plot.setDomainGridlinesVisible(result.isGridVisible() && result.isDomainGridLinesVisible());
 				plot.setRangeGridlinesVisible(result.isGridVisible());
 				
 				// force the renderer initialization to override theme settings
@@ -90,8 +90,8 @@
 			else if(chart.getPlot() instanceof XYPlot)	{
 				XYPlot plot = (XYPlot) chart.getPlot();
 				// grid visibility
+    			plot.setDomainGridlinesVisible(result.isGridVisible() && result.isDomainGridLinesVisible());
 				plot.setRangeGridlinesVisible(result.isGridVisible());
-				plot.setDomainGridlinesVisible(result.isGridVisible());
 				
 				// force the renderer initialization to override theme settings
 				if(plot.getRenderer() instanceof IRendererWithItemSelection)	{
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 2326)
@@ -58,7 +58,7 @@
 	 * Initializes the tool tip generator.
 	 */
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new XYToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new XYToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(XYDataset dataset, int series, int item) {
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 2326)
@@ -75,7 +75,7 @@
 	 * Initializes the tool tip generator.
 	 */
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new CategoryToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(CategoryDataset dataset, int row, int column) {
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 2326)
@@ -1,36 +1,16 @@
 package org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers;
 
-import java.awt.AlphaComposite;
 import java.awt.BasicStroke;
 import java.awt.Color;
-import java.awt.Composite;
 import java.awt.Font;
-import java.awt.GradientPaint;
-import java.awt.Graphics2D;
 import java.awt.Paint;
 import java.awt.Stroke;
-import java.awt.geom.Line2D;
-import java.awt.geom.Point2D;
-import java.awt.geom.Rectangle2D;
 import java.text.DecimalFormat;
 
-import org.jfree.chart.axis.CategoryAxis;
-import org.jfree.chart.axis.ValueAxis;
 import org.jfree.chart.labels.CategoryToolTipGenerator;
-import org.jfree.chart.plot.CategoryMarker;
-import org.jfree.chart.plot.CategoryPlot;
-import org.jfree.chart.plot.IntervalMarker;
-import org.jfree.chart.plot.Marker;
-import org.jfree.chart.plot.PlotOrientation;
-import org.jfree.chart.plot.ValueMarker;
 import org.jfree.chart.renderer.category.CategoryStepRenderer;
-import org.jfree.data.Range;
 import org.jfree.data.category.CategoryDataset;
 import org.jfree.data.category.DefaultCategoryDataset;
-import org.jfree.text.TextUtilities;
-import org.jfree.ui.GradientPaintTransformer;
-import org.jfree.ui.LengthAdjustmentType;
-import org.jfree.ui.RectangleAnchor;
 import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
@@ -82,7 +62,7 @@
 	 * Initializes the tool tip generator.
 	 */
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new CategoryToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(CategoryDataset dataset, int row, int column) {
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYCardinalSplineRenderer.java	(revision 2326)
@@ -22,13 +22,13 @@
 import org.jfree.chart.plot.PlotOrientation;
 import org.jfree.chart.plot.ValueMarker;
 import org.jfree.chart.plot.XYPlot;
+import org.jfree.chart.text.TextUtils;
+import org.jfree.chart.ui.GradientPaintTransformer;
+import org.jfree.chart.ui.LengthAdjustmentType;
+import org.jfree.chart.ui.RectangleAnchor;
 import org.jfree.data.Range;
 import org.jfree.data.xy.XYDataset;
 import org.jfree.data.xy.XYSeriesCollection;
-import org.jfree.text.TextUtilities;
-import org.jfree.ui.GradientPaintTransformer;
-import org.jfree.ui.LengthAdjustmentType;
-import org.jfree.ui.RectangleAnchor;
 import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.XYCardinalSplineRenderer;
@@ -87,7 +87,7 @@
 	 * Initializes the tool tip generator.
 	 */
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new XYToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new XYToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(XYDataset dataset, int series, int item) {
@@ -155,7 +155,7 @@
                         LengthAdjustmentType.EXPAND, anchor);
                 //TextUtilities.drawAlignedString(label, g2, (float) coordinates.getX(), (float) coordinates.getY(), marker.getLabelTextAnchor());
                 // Draw rotated marker label
-                TextUtilities.drawRotatedString(label, g2, Math.toRadians(90), (float) coordinates.getX(), (float) coordinates.getY());
+                TextUtils.drawRotatedString(label, g2, Math.toRadians(90), (float) coordinates.getX(), (float) coordinates.getY());
             }
             g2.setComposite(originalComposite);
         }
@@ -257,7 +257,7 @@
                         anchor);
                 //TextUtilities.drawAlignedString(label, g2, (float) coordinates.getX(), (float) coordinates.getY(), marker.getLabelTextAnchor());
                 // Draw rotated marker label
-                TextUtilities.drawRotatedString(label, g2, Math.toRadians(90), (float) coordinates.getX(), (float) coordinates.getY());
+                TextUtils.drawRotatedString(label, g2, Math.toRadians(90), (float) coordinates.getX(), (float) coordinates.getY());
             }
             g2.setComposite(originalComposite);
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYSplineRenderer.java	(revision 2326)
@@ -23,13 +23,13 @@
 import org.jfree.chart.plot.ValueMarker;
 import org.jfree.chart.plot.XYPlot;
 import org.jfree.chart.renderer.xy.XYSplineRenderer;
+import org.jfree.chart.text.TextUtils;
+import org.jfree.chart.ui.GradientPaintTransformer;
+import org.jfree.chart.ui.LengthAdjustmentType;
+import org.jfree.chart.ui.RectangleAnchor;
 import org.jfree.data.Range;
 import org.jfree.data.xy.XYDataset;
 import org.jfree.data.xy.XYSeriesCollection;
-import org.jfree.text.TextUtilities;
-import org.jfree.ui.GradientPaintTransformer;
-import org.jfree.ui.LengthAdjustmentType;
-import org.jfree.ui.RectangleAnchor;
 import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
@@ -71,8 +71,8 @@
 	 */
 	public ItemSelectionXYSplineRenderer(int precision, boolean linesVisible, boolean shapesVisible) {
 		super(precision);
-		this.setBaseLinesVisible(linesVisible);
-		this.setBaseShapesVisible(shapesVisible);
+		this.setDefaultLinesVisible(linesVisible);
+		this.setDefaultShapesVisible(shapesVisible);
 		this.mouseOverItemSelector = new MouseOverItemSelector(this);
 		this.markerLabelRotationAngle = 0;
 
@@ -106,7 +106,7 @@
 	 * Initializes the tool tip generator.
 	 */
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new XYToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new XYToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(XYDataset dataset, int series, int item) {
@@ -174,7 +174,7 @@
                         LengthAdjustmentType.EXPAND, anchor);
                 //TextUtilities.drawAlignedString(label, g2, (float) coordinates.getX(), (float) coordinates.getY(), marker.getLabelTextAnchor());
                 // Draw rotated marker label
-                TextUtilities.drawRotatedString(label, g2, Math.toRadians(90), (float) coordinates.getX(), (float) coordinates.getY());
+                TextUtils.drawRotatedString(label, g2, Math.toRadians(90), (float) coordinates.getX(), (float) coordinates.getY());
             }
             g2.setComposite(originalComposite);
         }
@@ -276,7 +276,7 @@
                         anchor);
                 //TextUtilities.drawAlignedString(label, g2, (float) coordinates.getX(), (float) coordinates.getY(), marker.getLabelTextAnchor());
                 // Draw rotated marker label
-                TextUtilities.drawRotatedString(label, g2, Math.toRadians(90), (float) coordinates.getX(), (float) coordinates.getY());
+                TextUtils.drawRotatedString(label, g2, Math.toRadians(90), (float) coordinates.getX(), (float) coordinates.getY());
             }
             g2.setComposite(originalComposite);
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 2326)
@@ -120,7 +120,7 @@
 	 * Initializes the tool tip generator.
 	 */
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new XYToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new XYToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(XYDataset dataset, int series, int item) {
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 2326)
@@ -26,14 +26,14 @@
 import org.jfree.chart.plot.XYPlot;
 import org.jfree.chart.renderer.xy.XYItemRendererState;
 import org.jfree.chart.renderer.xy.XYStepRenderer;
+import org.jfree.chart.text.TextUtils;
+import org.jfree.chart.ui.GradientPaintTransformer;
+import org.jfree.chart.ui.LengthAdjustmentType;
+import org.jfree.chart.ui.RectangleAnchor;
+import org.jfree.chart.ui.RectangleEdge;
 import org.jfree.data.Range;
 import org.jfree.data.xy.XYDataset;
 import org.jfree.data.xy.XYSeriesCollection;
-import org.jfree.text.TextUtilities;
-import org.jfree.ui.GradientPaintTransformer;
-import org.jfree.ui.LengthAdjustmentType;
-import org.jfree.ui.RectangleAnchor;
-import org.jfree.ui.RectangleEdge;
 import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
@@ -76,9 +76,9 @@
 	 * @param shapesVisible
 	 */
 	public ItemSelectionXYStepRenderer(boolean linesVisible, boolean shapesVisible) {
-		this.setBaseLinesVisible(linesVisible);
-		this.setBaseShapesVisible(shapesVisible);
-		this.setShapesVisible(true);
+		this.setDefaultLinesVisible(linesVisible);
+		this.setDefaultShapesVisible(shapesVisible);
+		//this.setShapesVisible(true); // FIXME: SJ: code for old jfreechart library, to remove after checking all works well
 
 		// Multiple items selector
 		this.multipleItemsSelector = new MultipleItemsSelector(this);
@@ -101,7 +101,7 @@
 	 * Initializes the tool tip generator.
 	 */
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new XYToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new XYToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(XYDataset dataset, int series, int item) {
@@ -244,7 +244,7 @@
                         LengthAdjustmentType.EXPAND, anchor);
 
                 // Draw rotated marker labels rather than horizontal
-                TextUtilities.drawRotatedString(label, g2,
+                TextUtils.drawRotatedString(label, g2,
              	       (float) coordinates.getX(), (float) coordinates.getY() - 3,
              	       marker.getLabelTextAnchor(), 3.14 / 2, (float) coordinates.getX(), (float) coordinates.getY());
 
@@ -350,7 +350,7 @@
                         anchor);
 
                 // Draw rotated marker labels rather than horizontal
-                TextUtilities.drawRotatedString(label, g2,
+                TextUtils.drawRotatedString(label, g2,
              	       (float) coordinates.getX(), (float) coordinates.getY() - 3,
              	       marker.getLabelTextAnchor(), 3.14 / 2, (float) coordinates.getX(), (float) coordinates.getY());
             }
@@ -452,11 +452,12 @@
  		   super.drawItem(g2, state, dataArea, info, plot, domainAxis, rangeAxis, dataset, series, item, crosshairState, pass);
  		   
  		  // force shape rendering because the XYStepRenderer doesn't manage it by default
- 		  EntityCollection entities = null;
-          if(info != null) {
-          	entities = info.getOwner().getEntityCollection();
-          }
-          drawSecondaryPass(g2, plot, dataset, pass, series, item, domainAxis, dataArea, rangeAxis, crosshairState, entities);
+//  		  EntityCollection entities = null;
+//           if(info != null) {
+//           	entities = info.getOwner().getEntityCollection();
+//           }
+//
+//           drawSecondaryPass(g2, plot, dataset, pass, series, item, domainAxis, dataArea, rangeAxis, crosshairState, entities);
  	   }
     }
 
@@ -499,7 +500,7 @@
 	      g2.setStroke(new BasicStroke(1));
 
 	      
-	      Font font = getBaseItemLabelFont();
+	      Font font = getDefaultItemLabelFont();
 	      
 	      // compute the multi line label bounds
 	      String[] lines = label.split("\n");
@@ -507,10 +508,10 @@
 	      double height = 0;
 	      for(int i = 0; i < lines.length; i++) {
 	    	  if(i == 0)	{
-	    		  font = getBaseItemLabelFont().deriveFont(Font.BOLD);
+	    		  font = getDefaultItemLabelFont().deriveFont(Font.BOLD);
 	    	  }
 	    	  else	{
-	    	      font = getBaseItemLabelFont();
+	    	      font = getDefaultItemLabelFont();
 	    	  }
 	    	  
 	    	  Rectangle2D lineBounds = font.getStringBounds(lines[i], g2.getFontRenderContext());
@@ -551,10 +552,10 @@
 	      // label
 	      for(int i = 0; i < lines.length; i++) {
 	    	  if(i == 0)	{
-	    		  font = getBaseItemLabelFont().deriveFont(Font.BOLD);
+	    		  font = getDefaultItemLabelFont().deriveFont(Font.BOLD);
 	    	  }
 	    	  else	{
-	    	      font = getBaseItemLabelFont();
+	    	      font = getDefaultItemLabelFont();
 	    	  }
 		      g2.setFont(font);
 	    	  g2.drawString(lines[i], labelScreenX, labelScreenY += g2.getFontMetrics().getHeight());
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryBarRenderer.java	(revision 2326)
@@ -136,7 +136,7 @@
 	 * Initializes the tool tip generator.
 	 */
 	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
+		this.setDefaultToolTipGenerator(new CategoryToolTipGenerator() {
 
 			@Override
 			public String generateToolTip(CategoryDataset dataset, int row, int column) {
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 2326)
@@ -28,14 +28,12 @@
 import org.jfree.chart.renderer.xy.XYSplineRenderer;
 import org.jfree.chart.renderer.xy.XYStepRenderer;
 import org.jfree.chart.title.LegendTitle;
-import org.jfree.ui.RectangleEdge;
-import org.jfree.ui.RectangleInsets;
-import org.jfree.util.ShapeUtilities;
-import org.txm.chartsengine.core.ChartsEngine;
+import org.jfree.chart.ui.RectangleEdge;
+import org.jfree.chart.ui.RectangleInsets;
+import org.jfree.chart.util.ShapeUtils;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
 import org.txm.chartsengine.jfreechart.core.renderers.XYCardinalSplineRenderer;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
 import org.txm.chartsengine.jfreechart.core.themes.base.BlockRoundBorder;
 import org.txm.chartsengine.jfreechart.core.themes.base.CategoryAxisBetweenTicks;
 import org.txm.chartsengine.jfreechart.core.themes.base.JFCTheme;
@@ -68,7 +66,8 @@
 
     	// Title
 	    this.setTitlePaint(Color.decode("#4B4B6D"));
-
+	    this.setSubtitlePaint(Color.decode("#4B4B6D"));
+	    
 	    // Axis
 	    this.setAxisLabelPaint(Color.decode("#4D759E"));
 	    this.setAxisOffset(new RectangleInsets(0, 0, 0, 0));
@@ -93,11 +92,10 @@
 	    // TODO : useless for this theme ?
 	    //this.setBaselinePaint(Color.decode("#C0D0E0"));
 	    //this.setSmallFont(regularFont.deriveFont(Font.BOLD));
-	    //this.setSubtitlePaint(Color.decode("#C0D0E0"));
 
 
 	    // Series paints (Highchart color codes)
-	    // FIXME: this should be moved to a preference as discussed
+	    // FIXME: SJ: this should be moved to a preference as discussed
 	    this.seriesPaints = new ArrayList<Color>();
 	    this.seriesPaints.add(0, Color.decode("#2F7ED8")); // Blue
 	    this.seriesPaints.add(1, Color.decode("#0D233A")); // Dark blue
@@ -111,12 +109,12 @@
 	    // Series shape (Highchart shapes)
 	    this.seriesShapes = new HashMap<Integer, Shape>();
         // Diamond
-        this.seriesShapes.put(1, ShapeUtilities.createDiamond(itemShapesScalingFactor * 3.4f));
+        this.seriesShapes.put(1, ShapeUtils.createDiamond(itemShapesScalingFactor * 3.4f));
         // Ellipse
         float size = 6.4f * itemShapesScalingFactor;
         this.seriesShapes.put(0, new Ellipse2D.Float(-size / 2, -size / 2, size, size));
         // Triangle
-        this.seriesShapes.put(3, ShapeUtilities.createUpTriangle(itemShapesScalingFactor * 3.2f));
+        this.seriesShapes.put(3, ShapeUtils.createUpTriangle(itemShapesScalingFactor * 3.2f));
 
 
         // Series stroke
@@ -222,11 +220,14 @@
         	// Items colors
         	//ArrayList<Color> palette = this.applySeriesPaint(result);
 
-        	renderer.setBaseOutlinePaint(Color.WHITE);
+        	renderer.setDefaultOutlinePaint(Color.WHITE);
 
         	// Grid
-	    	//plot.setRangeGridlineStroke(new BasicStroke());
-	    	//plot.setDomainGridlinesVisible(false);
+    		// use plain stroke for charts using string symbol axis
+    		if(plot.getDomainAxis() instanceof SymbolAxis)	{
+    			plot.setRangeGridlineStroke(new BasicStroke());
+    		}
+    		//plot.setDomainGridlinesVisible(false);
 
 	        // Legends
 	    	if(legendTitle != null)	{
@@ -247,10 +248,10 @@
 
 	    		// Do not trace the grid bands for symbol axes
 	    		if(plot.getDomainAxis() instanceof SymbolAxis)	{
-	    			//((SymbolAxis)plot.getDomainAxis()).setGridBandsVisible(false);
+	    			((SymbolAxis)plot.getDomainAxis()).setGridBandsVisible(false);
 	    		}
 
-	    		((ItemSelectionXYBarRenderer)renderer).setBaseOutlinePaint(Color.RED);
+	    		((ItemSelectionXYBarRenderer)renderer).setDefaultOutlinePaint(Color.RED);
 	    		((ItemSelectionXYBarRenderer)renderer).setDrawBarOutline(true);
 	    		
 	    	}
@@ -446,7 +447,7 @@
 //		        renderer.setSeriesShape(3, shape);
 
 		        // Used for item selection mouse over
-	        	renderer.setBaseOutlinePaint(Color.WHITE);
+	        	renderer.setDefaultOutlinePaint(Color.WHITE);
 
 	    	}
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/SymbolAxisBetweenTicks.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/SymbolAxisBetweenTicks.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/SymbolAxisBetweenTicks.java	(revision 2326)
@@ -9,8 +9,6 @@
 import java.util.List;
 
 import org.jfree.chart.axis.AxisState;
-import org.jfree.chart.axis.CategoryLabelPosition;
-import org.jfree.chart.axis.CategoryLabelWidthType;
 import org.jfree.chart.axis.NumberTick;
 import org.jfree.chart.axis.SymbolAxis;
 import org.jfree.chart.axis.Tick;
@@ -18,13 +16,13 @@
 import org.jfree.chart.axis.ValueAxis;
 import org.jfree.chart.axis.ValueTick;
 import org.jfree.chart.plot.XYPlot;
-import org.jfree.data.general.DatasetUtilities;
-import org.jfree.text.G2TextMeasurer;
-import org.jfree.text.TextBlock;
-import org.jfree.text.TextLine;
-import org.jfree.text.TextUtilities;
-import org.jfree.ui.RectangleEdge;
-import org.jfree.ui.TextAnchor;
+import org.jfree.chart.text.G2TextMeasurer;
+import org.jfree.chart.text.TextBlock;
+import org.jfree.chart.text.TextLine;
+import org.jfree.chart.text.TextUtils;
+import org.jfree.chart.ui.RectangleEdge;
+import org.jfree.chart.ui.TextAnchor;
+import org.jfree.data.general.DatasetUtils;
 
 /**
  * Class providing a way to draw tick marks of series axis between the series items rather than on theirs middle.
@@ -91,8 +89,8 @@
             ValueTick tick = (ValueTick) iterator.next();
 
         	// Skip the ticks out of range
-        	if(tick.getValue() < DatasetUtilities.findMinimumDomainValue(((XYPlot)this.getPlot()).getDataset()).doubleValue()
-        		|| tick.getValue() > DatasetUtilities.findMaximumDomainValue(((XYPlot)this.getPlot()).getDataset()).doubleValue()
+        	if(tick.getValue() < DatasetUtils.findMinimumDomainValue(((XYPlot)this.getPlot()).getDataset()).doubleValue()
+        		|| tick.getValue() > DatasetUtils.findMaximumDomainValue(((XYPlot)this.getPlot()).getDataset()).doubleValue()
         			)	{
         		continue;
         	}
@@ -102,7 +100,7 @@
                 g2.setPaint(getTickLabelPaint());
                 float[] anchorPoint = calculateAnchorPoint(tick, cursor,
                         dataArea, edge);
-                TextUtilities.drawRotatedString(tick.getText(), g2,
+                TextUtils.drawRotatedString(tick.getText(), g2,
                         anchorPoint[0], anchorPoint[1], tick.getTextAnchor(),
                         tick.getAngle(), tick.getRotationAnchor());
             }
@@ -222,7 +220,7 @@
                 }
 
                 // avoid to draw overlapping tick labels
-                Rectangle2D bounds = TextUtilities.getTextBounds(tickLabel, g2,
+                Rectangle2D bounds = TextUtils.getTextBounds(tickLabel, g2,
                         g2.getFontMetrics());
                 double tickLabelLength = isVerticalTickLabels()
                         ? bounds.getHeight() : bounds.getWidth();
@@ -281,7 +279,7 @@
                 	
                  	float ratio = 0.1f;
                 	
-	                TextBlock label = TextUtilities.createTextBlock(tickLabel, getTickLabelFont(), getTickLabelPaint(), l * ratio, 1, new G2TextMeasurer(g2));
+	                TextBlock label = TextUtils.createTextBlock(tickLabel, getTickLabelFont(), getTickLabelPaint(), l * ratio, 1, new G2TextMeasurer(g2));
 	                
 	                Tick tick = new NumberTick(new Double(currentTickValue), ((TextLine)label.getLines().get(0)).getLastTextFragment().getText(), anchor, rotationAnchor, angle);
 	                ticks.add(tick);
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java	(revision 2326)
@@ -137,7 +137,7 @@
 
 
 	/**
-	 * Creates fonts from the charts engine preferences current font.
+	 * Creates fonts from the result font parameter or charts engine preferences current font.
 	 */
 	public void createFonts(ChartResult result)	{
 
@@ -273,8 +273,8 @@
 	 */
 	public XYStepRenderer createXYStepRenderer(boolean linesVisible, boolean shapesVisible)	{
 		XYStepRenderer renderer = new XYStepRenderer();
-		renderer.setBaseLinesVisible(linesVisible);
-		renderer.setBaseShapesVisible(shapesVisible);
+		renderer.setDefaultLinesVisible(linesVisible);
+		renderer.setDefaultShapesVisible(shapesVisible);
 		return renderer;
 	}
 
@@ -302,8 +302,8 @@
 	 */
 	public XYSplineRenderer createXYSplineRenderer(boolean linesVisible, boolean shapesVisible)	{
 		XYSplineRenderer renderer = new XYSplineRenderer(this.splineRendererPrecision);
-		renderer.setBaseLinesVisible(linesVisible);
-		renderer.setBaseShapesVisible(shapesVisible);
+		renderer.setDefaultLinesVisible(linesVisible);
+		renderer.setDefaultShapesVisible(shapesVisible);
 		return renderer;
 	}
 
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/CategoryAxisBetweenTicks.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/CategoryAxisBetweenTicks.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/CategoryAxisBetweenTicks.java	(revision 2326)
@@ -10,7 +10,7 @@
 import org.jfree.chart.axis.CategoryAxis;
 import org.jfree.chart.plot.CategoryPlot;
 import org.jfree.chart.plot.Plot;
-import org.jfree.ui.RectangleEdge;
+import org.jfree.chart.ui.RectangleEdge;
 
 /**
  * Class providing a way to draw tick marks of category axis between the category items rather than on theirs middle.
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/ExtendedNumberAxis.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/ExtendedNumberAxis.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/ExtendedNumberAxis.java	(revision 2326)
@@ -9,7 +9,7 @@
 import org.jfree.chart.axis.NumberAxis;
 import org.jfree.chart.axis.NumberTick;
 import org.jfree.chart.axis.TickType;
-import org.jfree.ui.RectangleEdge;
+import org.jfree.chart.ui.RectangleEdge;
 
 /**
  * An axis with extended drawing options as drawing only positive/negative ticks values or not drawing values greater/lower than a specified value.
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/XYCardinalSplineRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/XYCardinalSplineRenderer.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/XYCardinalSplineRenderer.java	(revision 2326)
@@ -11,8 +11,8 @@
 import org.jfree.chart.plot.XYPlot;
 import org.jfree.chart.renderer.xy.XYItemRendererState;
 import org.jfree.chart.renderer.xy.XYLineAndShapeRenderer;
+import org.jfree.chart.ui.RectangleEdge;
 import org.jfree.data.xy.XYDataset;
-import org.jfree.ui.RectangleEdge;
 
 /**
  * A renderer using cardinal curves for drawing more precisely than the XYSplineRenderer.
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 2326)
@@ -20,7 +20,7 @@
 import org.jfree.chart.plot.XYPlot;
 import org.jfree.data.category.CategoryDataset;
 import org.jfree.data.category.DefaultCategoryDataset;
-import org.jfree.data.general.DatasetUtilities;
+import org.jfree.data.general.DatasetUtils;
 import org.jfree.data.general.PieDataset;
 import org.jfree.data.xy.IntervalXYDataset;
 import org.jfree.data.xy.XYSeriesCollection;
@@ -42,6 +42,7 @@
 
 /**
  * Charts engine providing methods to create charts using the JFreeChart library.
+ * 
  * @author sjacquot
  *
  */
@@ -61,7 +62,7 @@
 	/**
 	 * The charts engine description.
 	 */
-	public final static String DESCRIPTION = "JFreeChart/Java2D";
+	public final static String DESCRIPTION = "JFreeChart";
 
 	/**
 	 * The rendering theme.
@@ -111,7 +112,7 @@
 		}
 
         // Custom range axis for ticks drawing options
-		plot.setRangeAxis(new ExtendedNumberAxis((NumberAxis) plot.getRangeAxis(), true, true, DatasetUtilities.findMinimumRangeValue(plot.getDataset()).doubleValue(), DatasetUtilities.findMaximumRangeValue(plot.getDataset()).doubleValue()));
+		plot.setRangeAxis(new ExtendedNumberAxis((NumberAxis) plot.getRangeAxis(), true, true, DatasetUtils.findMinimumRangeValue(plot.getDataset()).doubleValue(), DatasetUtils.findMaximumRangeValue(plot.getDataset()).doubleValue()));
 
 
 		// Domain axis integer tick units, X
@@ -754,7 +755,7 @@
 
 			// FIXME: recursive addition of subdirectories of root font paths
 //			  static protected void traverseDir(File folder, DefaultFontMapper mapper) {
-//				    File[] files = folder.listFiles(IOUtils.HIDDENFILE_FILTER);
+//				    File[] files = folder.listFiles(IOUtils.FILTER_HIDDEN);
 //				    for (int i = 0; i < files.length; i++) {
 //				      if (files[i].isDirectory()) {
 //				        mapper.insertDirectory(files[i].getPath());
@@ -769,11 +770,11 @@
 			String fontName = null;
 			// Category plots
 			if(chart.getPlot() instanceof CategoryPlot)	{
-				fontName = chart.getCategoryPlot().getRenderer().getBaseItemLabelFont().getFontName();
+				fontName = chart.getCategoryPlot().getRenderer().getDefaultItemLabelFont().getFontName();
 			}
 			// XY plots
 			else if(chart.getPlot() instanceof XYPlot)	{
-				fontName = chart.getXYPlot().getRenderer().getBaseItemLabelFont().getFontName();
+				fontName = chart.getXYPlot().getRenderer().getDefaultItemLabelFont().getFontName();
 			}
 			// other plots that have no renderer, eg. SpiderWebPlot
 			else	{
Index: tmp/org.txm.chartsengine.jfreechart.core/plugin.xml
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/plugin.xml	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/plugin.xml	(revision 2326)
@@ -6,7 +6,7 @@
          point="org.txm.chartsengine.chartsengine">
       <ChartsEngine
             class="org.txm.chartsengine.jfreechart.core.JFCChartsEngine"
-            description="Java"
+            description="JFreeChart"
             name="jfreechart_charts_engine">
       </ChartsEngine>
    </extension>
Index: tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 2325)
+++ tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 2326)
@@ -10,10 +10,10 @@
  rue
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: JFreeChart Charts Engine Core
-Require-Bundle: org.txm.chartsengine.core;bundle-version="1.0.0";visib
- ility:=reexport,org.txm.libs.jfreechart;bundle-version="1.0.17";visib
- ility:=reexport,org.txm.libs.itext;visibility:=reexport,org.txm.libs.
- jfreesvg;bundle-version="1.7.0";visibility:=reexport
+Require-Bundle: org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.libs.jfreechart;bundle-version="1.5.0";visibility:=reexport,
+ org.txm.libs.itext;visibility:=reexport,
+ org.txm.libs.jfreesvg;bundle-version="1.7.0";visibility:=reexport
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometrie.org
